/*
 * Class ITERABLE [CHARACTER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2049 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2049 [] = {0xFF01,1551,2048,842,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2049 [] = {0xFF01,2048,842,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2049 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2049 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2049 [] = {0xFF01,2048,842,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2049 [] = {0xFF01,2048,842,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2049 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2049 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2049 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2049 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2049 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2049 [] = {2048,842,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2049 [] = {0xFF01,2048,842,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2049 [] = {0xFF01,2046,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2049 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_2049[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2049), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2049), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2049), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2049), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2049), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2049), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2049), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2049), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2049), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2049), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2049), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2049), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2049), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2049), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2049), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2049), -1, 0xFFFFFFFF},
};
void Init2049(void)
{
	IDSC(desc_2049, 0, 2048);
	IDSC(desc_2049 + 1, 1, 2048);
	IDSC(desc_2049 + 32, 1088, 2048);
}


#ifdef __cplusplus
}
#endif
